curl --request GET \
--url https://thirdparty.qonto.com/v2/attachments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/attachments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/attachments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attachment": {
"id": "71c32755-d0c3-4d82-9a78-774caa9d8556",
"created_at": "2021-03-23T14:21:51.000Z",
"file_name": "Foobar",
"file_size": "666",
"file_content_type": "image/png",
"url": "https://my-s3.url.qonto.bucket.com/123456789",
"probative_attachment": {
"status": "unavailable",
"file_name": "statement.pdf",
"file_content_type": "application/pdf",
"file_size": "666",
"url": "https://my-s3.url.qonto.bucket.com/123456789"
}
}
}Retrieve an attachment
OAuth scope: attachment.read
Retrieves the attachment identified by the id path parameter.
In the Qonto app, attachments are files uploaded onto transactions by users. Attachments typically correspond to the invoice or receipt, and are used to justify the transactions from a bookkeeping standpoint.
You can retrieve the IDs of those attachments inside each transaction object, by calling GET /v2/transactions.
Probative attachment is another version of attachment, compliant with PAdES standard.
For security reasons, the url you retrieve for each attachment is only valid for 30 minutes. If you need to download the file after more than 30 minutes, you will need to perform another authenticated call in order to generate a new download URL.
If you download the file using curl, replace the \\u0026 references by & in the url string.
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Path Parameters
"e72f6e43-0f27-4415-8781-ad648a89b47f"
Response
Returns the attachment identified by the id path parameter.
Show child attributes
Show child attributes
Was this page helpful?